# ArchGDAL.jl Code of Conduct

Welcome! ArchGDAL.jl is part of both the Julia community and the GDAL community,
so we uphold both https://julialang.org/community/standards/ and
https://gdal.org/community/code_of_conduct.html. We repeat the key points below.

The ArchGDAL.jl community is committed to maintaining a welcoming, civil, and
constructive environment. We expect the following standards to be observed and
upheld by all participants. It applies to in-person events (such as conferences
and related social events), IRC, public and private mailing lists, the issue
tracker, the wiki, blogs, Twitter, and any other forums which the community uses
for communication and interactions.

## Be respectful and inclusive.

Harassment and other exclusionary behavior are not acceptable. Please do not use
overtly sexual language or imagery, and do not attack anyone based on any aspect
of personal identity, including gender, sexuality, religion, ethnicity, race,
age or ability. Keep in mind that what you write in public forums is read by
many people who don't know you personally, so please refrain from making
prejudiced or sexual jokes and comments – even ones that you might consider
acceptable in private. Ask yourself if a comment or statement might make someone
feel unwelcomed or like an outsider.

## Give credit.

All participants in the ArchGDAL.jl community are expected to respect copyright
laws and ethical attribution standards. This applies to both code and written
materials, such as documentation or blog posts. Materials that violate the law,
are plagiaristic, or ethically dubious in some way will be removed from
officially-maintained lists of resources.

## Get involved.

The ArchGDAL.jl community is built on a foundation of reciprocity and
collaboration. Be aware that most community members contribute on a voluntary
basis, so ideas and bug reports are ok, but demands are not. Pull requests are
always welcomed.

## Any concerns?

If you believe someone is breaking this code of conduct, you may reply to them,
and point to this code of conduct. Such messages may be in public or in private,
whatever is most appropriate. Assume good faith; it is more likely that
participants are unaware of their bad behavior than that they intentionally try
to degrade the quality of the discussion.

If you have a conflict or concern that requires resolution, please contact the
[Julia Community Stewards](https://julialang.org/community/stewards/) and/or
email the GDAL code of conduct committee leadership at coc@osgeo.org.
